#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		platform	linux-g++
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt5-qtmultimedia
Version		:	5.15.14
Release		:	17.0.10.rel%{?dist}
Summary		:	Qt5 - Multimedia support

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/single

Source0		:	%{sname}-everywhere-opensource-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gst-plugins-bad-devel
BuildRequires	:	openal-soft-devel
BuildRequires	:	pulseaudio
BuildRequires	:	qt5-qtbase-devel
BuildRequires	:	qt5-rpm-macros
BuildRequires	:	xorg-libXv

#-----------------------------------------------------------------------------
%description
The Qt Multimedia module provides a rich feature
set that enables you to easily take advantage of
a platforms multimedia capabilites and hardware.
This ranges from the playback and recording of
audio and video content to the use of available
devices like cameras and radios.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE.*
%{_qt5_libdir}/libQt5Multimedia.so.5*
%{_qt5_libdir}/libQt5MultimediaWidgets.so.5*
%{_qt5_libdir}/libQt5MultimediaGstTools.so.5*
 
#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}
Requires	:	qt5-rpm-macros

#-----------------------------------------------------------------------------
%description		devel
Development files for %{name}

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt5_headerdir}/QtMultimedia/
%{_qt5_headerdir}/QtMultimediaWidgets/
%{_qt5_headerdir}/QtMultimediaGstTools/
%{_qt5_libdir}/libQt5Multimedia.so
%{_qt5_libdir}/libQt5MultimediaWidgets.so
%{_qt5_libdir}/libQt5MultimediaGstTools.so
%{_qt5_plugindir}/audio/libqtaudio_alsa.so
%{_qt5_plugindir}/audio/libqtmedia_pulse.so
%{_qt5_plugindir}/mediaservice/libgst*.so
%{_qt5_libdir}/libQt5MultimediaGstTools.prl
%{_qt5_libdir}/libQt5MultimediaWidgets.prl
%{_qt5_libdir}/libQt5Multimedia.prl
%{_qt5_plugindir}/playlistformats/libqtmultimedia_m3u.so
%{_qt5_libdir}/cmake/Qt5Multimedia/Qt5Multimedia_*.cmake
%{_qt5_libdir}/cmake/Qt5Multimedia/Qt5MultimediaConfig*.cmake
%{_qt5_libdir}/cmake/Qt5MultimediaGstTools/Qt5MultimediaGstTools*.cmake
%{_qt5_libdir}/cmake/Qt5MultimediaWidgets/Qt5MultimediaWidgetsConfig*.cmake
%{_qt5_libdir}/pkgconfig/Qt5Multimedia.pc
%{_qt5_libdir}/pkgconfig/Qt5MultimediaWidgets.pc
%{_qt5_archdatadir}/mkspecs/modules/*.pri

#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%license LICENSE.FDL
%{_qt5_examplesdir}/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

export PATH=%{_qt5_bindir}:$PATH
export LD_LIBRARY_PATH=%{_qt5_libdir}

%{__mkdir_p} _bld
pushd _bld > /dev/null
qmake							\
	"CONFIG+=debug"					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

pushd _bld
%{__make}						\
	INSTALL_ROOT="%{buildroot}"			\
	install
popd

#To remove libtool library
find 							\
	%{buildroot}%{_qt5_libdir}			\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
